﻿@using Core.helpers
@inherits Umbraco.Web.Mvc.UmbracoViewPage
@{
    Layout = "msMaster.cshtml";
}

<section class="text-section">
    <div class="text-section__container">
        <div class="text-section__text">
            @if (Model.Name != null && !string.IsNullOrEmpty(Model.Name.ToString()))
            {
                <h1 class="section-title">
                    @RazorHelpers.GenerateMsHeading(Model.Name)
                </h1>
            }
            @if (Model.HasValue("authorName"))
            {
                <date>
                    <span>@(Model.Value<DateTime>("articleDate").ToString("dddd, MMMM dd, yyyy"))</span>
                    @if (Model.HasValue("authorName"))
                    {
                        <span>@Umbraco.GetDictionaryValue("by") @Model.Value("authorName").ToString()</span>
                    }
                 </date>
             }
            <div class="text-content">
                <div class="description-text">
                    @Html.GetGridHtml(Model, "content")
                </div>
            </div>
        </div>
    </div>
</section>


